\name{caCountyData}
\docType{data}
\alias{caCountyData}
\title{California Census Data and County Centroids}
\description{
  A SpatialPointsDataFrame of census data on ethnicity and deprivation measures.
}
\usage{caCountyData}
\format{
  The coordinates of each county is the centroid of the region. The data
  part of the spatial points data frame has the following columns:
  \describe{
    \item{\code{AREA}}{County Area (unknown units)}
    \item{\code{PERIMETER}}{County Perimeter (unknown units)}
    \item{\code{NAME}}{County name}
    \item{\code{FIPS}}{FIPS code}
    \item{\code{nWhite}}{White Population Estimate 2009}
    \item{\code{nBlack}}{Black Population Estimate 2009}
    \item{\code{nNative}}{Native Pop. Est. 2009}
    \item{\code{nAsian}}{Asian Pop. Est. 2009}
    \item{\code{nPacific}}{Pacific etc Pop. Est. 2009}
    \item{\code{nMixed}}{Mixed Race Pop. Est. 2009}
    \item{\code{houseValueMed}}{Median Household Value, dollars}
    \item{\code{houseIncomeMed}}{Median Household Income, dollars}
    \item{\code{pPeoplePoverty}}{percentage of people in poverty}
    \item{\code{fCivUnemp}}{Civilian Unemployment Percentage}
    \item{\code{Population}}{Total County Population}
  }
}
\source{US Census web site}

\keyword{datasets}
