\name{plim}
\alias{plim}
\title{fit the model using the fast C code...}
\usage{plim(paramList, cases, window, pop, Z, W, control=list(maxit = 500),
    hessian=TRUE, method="Nelder-Mead", code="C", ...)}
\description{fit the model using the fast C code}
\details{fit a partial-likelihood infectious model

conditional on the times, we compute the likelihood that the given cases occurred in the
given regions by computing p_k for each case. p_k depends on infectivity A of all other
regions, susceptibility B of the regions in question, transmissivity C between the region
and all other regions, population of the regions, and the number of infectious cases in the
regions. For more details, there's probably a paper you should read.}
\value{a fitted plim model object}
\arguments{\item{paramList}{list of alpha, beta, gamma parameters}
\item{cases}{region-time case data}
\item{window}{infectivity timespan}
\item{pop}{population vector}
\item{Z}{covariate generator}
\item{W}{interaction term generator}
\item{control}{optim control parameter - fnscale is set to -1}
\item{hessian}{flag to return hessian or not}
\item{method}{optim method parameter}
\item{code}{character code - whether to use C or R}
\item{...}{extra parameters passed to likelihood function}}
\examples{m = makeData()
p0 = list(alpha=c(0,0),beta=c(0,0))
f = plim(p0,m$cases,m$window,m$pop,m$Z,m$W)
plimtable(f)}
