\name{plimsim}
\alias{plimsim}
\title{Simulates from Transmission model...}
\usage{plimsim(params, cases, window, R, pop, Z, W, mC, seed)}
\description{Simulates from Transmission model}
\details{simulates data for the given parameters}
\value{data frame of time and simulated region}
\arguments{\item{params}{initial parameters}
\item{cases}{region-time case data}
\item{window}{infectivity timespan}
\item{R}{region codes}
\item{pop}{population vector}
\item{Z}{covariate generator}
\item{W}{interaction term generator}
\item{mC}{counts of cases at times in regions}
\item{seed}{random number seed}}
\examples{set.seed(123)
m = makeData()
mc = mCounts(0.3, m$cases, m$R)
plimsim(c(alpha=0,alpha=0,beta=0,beta=0),m$cases,0.3,R=m$R,pop=m$pop,Z=m$Z,m$W,mc)}
