\name{transModelCFit}
\alias{transModelCFit}
\title{fit the model using the fast C code...}
\usage{transModelCFit(params, cases, window, pop, Z, W, control=list(maxit =
    500), hessian=TRUE, method="Nelder-Mead", ...)}
\description{fit the model using the fast C code}
\details{uses speedy C code to fit the likelihood}
\arguments{\item{params}{initial parameters}
\item{cases}{region-time case data}
\item{window}{infectivity timespan}
\item{pop}{population vector}
\item{Z}{covariate generator}
\item{W}{interaction term generator}
\item{control}{optim control parameter - fnscale is set to -1}
\item{hessian}{flag to return hessian or not}
\item{method}{optim method parameter}
\item{...}{extra parameters passed to likelihood function}}
\examples{m = makeData()
p0 = c(0,0,0,0)
names(p0)=c("alpha","alpha","beta","beta")
f = transModelCFit(p0,m$cases,m$window,m$pop,m$Z,m$W)
plimtable(f)}
