\name{transModelCLik}
\alias{transModelCLik}
\title{Transmission model likelihood...}
\usage{transModelCLik(params, cases, pop, Z, W, mC, trace=0)}
\description{Transmission model likelihood}
\details{compute the likelihood for the given parameters}
\value{the log-likelihood given the parameters}
\arguments{\item{params}{initial parameters}
\item{cases}{region-time case data}
\item{pop}{population vector}
\item{Z}{covariate generator}
\item{W}{interaction term generator}
\item{mC}{counts of cases at times in regions}
\item{trace}{level of logging and debugging}}
\examples{m = makeData(seed=123)
mc = mCounts(m$window, m$cases, m$R)
transModelCLik(c(alpha=0,alpha=0,beta=0,beta=0),m$cases,pop=m$pop,Z=m$Z,m$W,mc)}
