\name{transProf}
\alias{transProf}
\title{do likelihood "profiles" in several dimensions.}
\usage{transProf(fit, fitData, dimension=1, cstep=0.01, gstep=0.01, nsteps=2,
    check=FALSE, verbose=FALSE)}
\description{do likelihood "profiles" in several dimensions...}
\details{compute the likelihood around a given point}
\value{a data frame of parameters and the computed likelihood}
\arguments{\item{fit}{a fitted model from transModelCFit}
\item{fitData}{the data used in the fit}
\item{dimension}{how many dimensions to go into}
\item{cstep}{size of step for covariate parameters}
\item{gstep}{size of step for gamma parameters}
\item{nsteps}{number of steps either side of fit}
\item{check}{whether to test if the fit logl is still the same}
\item{verbose}{print progress}}
\examples{m = makeData(seed=56)
p0 = c(0,0,0,0)
names(p0)=c("alpha","alpha","beta","beta")
f = transModelCFit(p0,m$cases,.2,m$pop,m$Z,m$W)
plimtable(f)
#pf = transProf(f,list(params=p0,cases=m$cases,window=.2,pop=m$pop,Z=m$Z,W=m$W))}
