library(plim)

r = letters[1:5]
m = matrix(1:10,nrow=5)

### a model specifying a matrix and the names
Z1 = constantCovariates(m,R=r)

row.names(m)=r
### get the names from the matrix
Z1 = constantCovariates(m)

### get a null model with regions from r
Z1 = constantCovariates(R=r)

### same again with a data frame:
d = data.frame(X1=1:5,X2=9:5)

### this warns because row names of d are different to r:
suppressWarnings({Z1 = constantCovariates(d,R=r)})

row.names(d) <- r
Z1 = constantCovariates(d)
Z1 = constantCovariates(d,R=r)

##### now test transmissivity

W = constantTrans(R=r) # length(r) x length(r) matrix of 1s

m = matrix(1:(length(r)*length(r)),length(r),length(r))

W = constantTrans(m,r)

row.names(m)=r

W = constantTrans(m)
W = constantTrans(m,r)
