library(plim)

m = makeData()
p0 = list(alpha=c(0,0),beta=c(0,0))
f = plim(p0,m$cases,m$window,m$pop,Z=m$Z,W=m$W)
l = plimlik(p0,m$cases,m$window,m$pop,Z=m$Z,W=m$W)

Z0 = constantCovariates(R=m$R)
# f = plim(list(),m$cases,m$window,m$pop,Z0,m$W)

W0 = constantTrans(R=m$R)

Wd = distDecayTrans(cbind(runif(length(m$R)),runif(length(m$R))),R=m$R)
pg = list(gamma=c(0,0))

# pure gamma distance test
f = plim(pg,m$cases,m$window,m$pop,Z=Z0,W=Wd)
l = plimlik(pg,m$cases,m$window,m$pop,Z=Z0,W=Wd)

# covariates plus gamma distance-decay test
pabg = list(alpha=c(0,0),beta=c(0,0),gamma=c(1,1))
f = plim(pabg,m$cases,m$window,m$pop,Z=m$Z,W=Wd)
l = plimlik(pabg,m$cases,m$window,m$pop,Z=m$Z,W=Wd)

# linear piecewise
mat = matrix(runif(length(m$R)*length(m$R)),length(m$R))
brks = c(0,.3,.6,.9)
Wl = pieceLinearTrans(mat,brks,R=m$R)
pabg = list(alpha=c(0,0),beta=c(0,0),gamma=c(0,.1,.2,.3))
l = plimlik(pabg, m$cases,m$window,m$pop,Z=m$Z,W=Wl)
f = plim(pabg,m$cases,m$window,m$pop,Z=m$Z,W=Wl,hessian=FALSE,control=list(maxit=10000))
